Index: palm/trunk/SOURCE/transpose.f90
===================================================================
--- palm/trunk/SOURCE/transpose.f90	(revision 1325)
+++ palm/trunk/SOURCE/transpose.f90	(revision 1682)
@@ -1,4 +1,3 @@
- SUBROUTINE resort_for_xy( f_in, f_inv )
-
+!> @file transpose.f90
 !--------------------------------------------------------------------------------!
 ! This file is part of PALM.
@@ -20,4 +19,5 @@
 ! Current revisions:
 ! -----------------
+! Code annotations made doxygen readable 
 ! 
 ! Former revisions:
@@ -72,7 +72,9 @@
 ! Description:
 ! ------------
-! Resorting data for the transposition from x to y. The transposition itself
-! is carried out in transpose_xy
-!------------------------------------------------------------------------------!
+!> Resorting data for the transposition from x to y. The transposition itself
+!> is carried out in transpose_xy
+!------------------------------------------------------------------------------!
+ SUBROUTINE resort_for_xy( f_in, f_inv )
+ 
 
      USE indices,                                                              &
@@ -86,11 +88,11 @@
      IMPLICIT NONE
 
-     REAL(wp) ::  f_in(0:nx,nys_x:nyn_x,nzb_x:nzt_x)  !: 
-     REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx) !: 
-
-
-     INTEGER(iwp) ::  i !: 
-     INTEGER(iwp) ::  j !: 
-     INTEGER(iwp) ::  k !: 
+     REAL(wp) ::  f_in(0:nx,nys_x:nyn_x,nzb_x:nzt_x)  !< 
+     REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx) !< 
+
+
+     INTEGER(iwp) ::  i !< 
+     INTEGER(iwp) ::  j !< 
+     INTEGER(iwp) ::  k !< 
 !
 !-- Rearrange indices of input array in order to make data to be send
@@ -112,13 +114,13 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Transposition of input array (f_in) from x to y. For the input array, all
+!> elements along x reside on the same PE, while after transposition, all
+!> elements along y reside on the same PE.
+!------------------------------------------------------------------------------!
  SUBROUTINE transpose_xy( f_inv, f_out )
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-! Transposition of input array (f_in) from x to y. For the input array, all
-! elements along x reside on the same PE, while after transposition, all
-! elements along y reside on the same PE.
-!------------------------------------------------------------------------------!
 
     USE cpulog,                                                                &
@@ -137,14 +139,14 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i  !: 
-    INTEGER(iwp) ::  j  !: 
-    INTEGER(iwp) ::  k  !: 
-    INTEGER(iwp) ::  l  !: 
-    INTEGER(iwp) ::  ys !: 
+    INTEGER(iwp) ::  i  !< 
+    INTEGER(iwp) ::  j  !< 
+    INTEGER(iwp) ::  k  !< 
+    INTEGER(iwp) ::  l  !< 
+    INTEGER(iwp) ::  ys !< 
  
-    REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx) !: 
-    REAL(wp) ::  f_out(0:ny,nxl_y:nxr_y,nzb_y:nzt_y) !: 
-
-    REAL(wp), DIMENSION(nyn_x-nys_x+1,nzb_y:nzt_y,nxl_y:nxr_y,0:pdims(2)-1) ::  work !: 
+    REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx) !< 
+    REAL(wp) ::  f_out(0:ny,nxl_y:nxr_y,nzb_y:nzt_y) !< 
+
+    REAL(wp), DIMENSION(nyn_x-nys_x+1,nzb_y:nzt_y,nxl_y:nxr_y,0:pdims(2)-1) ::  work !< 
 
 
@@ -205,12 +207,12 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Resorting data after the transposition from x to z. The transposition itself
+!> is carried out in transpose_xz
+!------------------------------------------------------------------------------!
  SUBROUTINE resort_for_xz( f_inv, f_out )
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-! Resorting data after the transposition from x to z. The transposition itself
-! is carried out in transpose_xz
-!------------------------------------------------------------------------------!
 
      USE indices,                                                              &
@@ -221,10 +223,10 @@
      IMPLICIT NONE
 
-     REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz) !: 
-     REAL(wp) ::  f_out(1:nz,nys:nyn,nxl:nxr) !: 
-
-     INTEGER(iwp) ::  i !: 
-     INTEGER(iwp) ::  j !: 
-     INTEGER(iwp) ::  k !: 
+     REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz) !< 
+     REAL(wp) ::  f_out(1:nz,nys:nyn,nxl:nxr) !< 
+
+     INTEGER(iwp) ::  i !< 
+     INTEGER(iwp) ::  j !< 
+     INTEGER(iwp) ::  k !< 
 !
 !-- Rearrange indices of input array in order to make data to be send
@@ -248,13 +250,13 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Transposition of input array (f_in) from x to z. For the input array, all
+!> elements along x reside on the same PE, while after transposition, all
+!> elements along z reside on the same PE.
+!------------------------------------------------------------------------------!
  SUBROUTINE transpose_xz( f_in, f_inv )
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-! Transposition of input array (f_in) from x to z. For the input array, all
-! elements along x reside on the same PE, while after transposition, all
-! elements along z reside on the same PE.
-!------------------------------------------------------------------------------!
 
     USE cpulog,                                                                &
@@ -273,14 +275,14 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i  !: 
-    INTEGER(iwp) ::  j  !: 
-    INTEGER(iwp) ::  k  !: 
-    INTEGER(iwp) ::  l  !: 
-    INTEGER(iwp) ::  xs !: 
-
-    REAL(wp) ::  f_in(0:nx,nys_x:nyn_x,nzb_x:nzt_x) !: 
-    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz) !: 
-
-    REAL(wp), DIMENSION(nys_x:nyn_x,nnx,nzb_x:nzt_x,0:pdims(1)-1) ::  work !: 
+    INTEGER(iwp) ::  i  !< 
+    INTEGER(iwp) ::  j  !< 
+    INTEGER(iwp) ::  k  !< 
+    INTEGER(iwp) ::  l  !< 
+    INTEGER(iwp) ::  xs !< 
+
+    REAL(wp) ::  f_in(0:nx,nys_x:nyn_x,nzb_x:nzt_x) !< 
+    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz) !< 
+
+    REAL(wp), DIMENSION(nys_x:nyn_x,nnx,nzb_x:nzt_x,0:pdims(1)-1) ::  work !< 
 
 
@@ -344,12 +346,12 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Resorting data after the transposition from y to x. The transposition itself
+!> is carried out in transpose_yx
+!------------------------------------------------------------------------------!
  SUBROUTINE resort_for_yx( f_inv, f_out )
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-! Resorting data after the transposition from y to x. The transposition itself
-! is carried out in transpose_yx
-!------------------------------------------------------------------------------!
 
      USE indices,                                                              &
@@ -363,11 +365,11 @@
      IMPLICIT NONE
 
-     REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx) !: 
-     REAL(wp) ::  f_out(0:nx,nys_x:nyn_x,nzb_x:nzt_x) !: 
-
-
-     INTEGER(iwp) ::  i !: 
-     INTEGER(iwp) ::  j !: 
-     INTEGER(iwp) ::  k !: 
+     REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx) !< 
+     REAL(wp) ::  f_out(0:nx,nys_x:nyn_x,nzb_x:nzt_x) !< 
+
+
+     INTEGER(iwp) ::  i !< 
+     INTEGER(iwp) ::  j !< 
+     INTEGER(iwp) ::  k !< 
 !
 !-- Rearrange indices of input array in order to make data to be send
@@ -389,13 +391,13 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Transposition of input array (f_in) from y to x. For the input array, all
+!> elements along y reside on the same PE, while after transposition, all
+!> elements along x reside on the same PE.
+!------------------------------------------------------------------------------!
  SUBROUTINE transpose_yx( f_in, f_inv )
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-! Transposition of input array (f_in) from y to x. For the input array, all
-! elements along y reside on the same PE, while after transposition, all
-! elements along x reside on the same PE.
-!------------------------------------------------------------------------------!
 
     USE cpulog,                                                                &
@@ -414,14 +416,14 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i  !: 
-    INTEGER(iwp) ::  j  !: 
-    INTEGER(iwp) ::  k  !: 
-    INTEGER(iwp) ::  l  !: 
-    INTEGER(iwp) ::  ys !: 
-
-    REAL(wp) ::  f_in(0:ny,nxl_y:nxr_y,nzb_y:nzt_y)  !: 
-    REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx) !: 
-
-    REAL(wp), DIMENSION(nyn_x-nys_x+1,nzb_y:nzt_y,nxl_y:nxr_y,0:pdims(2)-1) ::  work !: 
+    INTEGER(iwp) ::  i  !< 
+    INTEGER(iwp) ::  j  !< 
+    INTEGER(iwp) ::  k  !< 
+    INTEGER(iwp) ::  l  !< 
+    INTEGER(iwp) ::  ys !< 
+
+    REAL(wp) ::  f_in(0:ny,nxl_y:nxr_y,nzb_y:nzt_y)  !< 
+    REAL(wp) ::  f_inv(nys_x:nyn_x,nzb_x:nzt_x,0:nx) !< 
+
+    REAL(wp), DIMENSION(nyn_x-nys_x+1,nzb_y:nzt_y,nxl_y:nxr_y,0:pdims(2)-1) ::  work !< 
 
 
@@ -482,15 +484,15 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Transposition of input array (f_in) from y to x. For the input array, all
+!> elements along y reside on the same PE, while after transposition, all
+!> elements along x reside on the same PE.
+!> This is a direct transposition for arrays with indices in regular order
+!> (k,j,i) (cf. transpose_yx).
+!------------------------------------------------------------------------------!
  SUBROUTINE transpose_yxd( f_in, f_out )
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-! Transposition of input array (f_in) from y to x. For the input array, all
-! elements along y reside on the same PE, while after transposition, all
-! elements along x reside on the same PE.
-! This is a direct transposition for arrays with indices in regular order
-! (k,j,i) (cf. transpose_yx).
-!------------------------------------------------------------------------------!
 
     USE cpulog,                                                                &
@@ -509,15 +511,15 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i  !: 
-    INTEGER(iwp) ::  j  !: 
-    INTEGER(iwp) ::  k  !: 
-    INTEGER(iwp) ::  l  !: 
-    INTEGER(iwp) ::  m  !: 
-    INTEGER(iwp) ::  xs !: 
-
-    REAL(wp) ::  f_in(1:nz,nys:nyn,nxl:nxr)          !: 
-    REAL(wp) ::  f_inv(nxl:nxr,1:nz,nys:nyn)         !: 
-    REAL(wp) ::  f_out(0:nx,nys_x:nyn_x,nzb_x:nzt_x) !: 
-    REAL(wp) ::  work(nnx*nny*nnz)                   !: 
+    INTEGER(iwp) ::  i  !< 
+    INTEGER(iwp) ::  j  !< 
+    INTEGER(iwp) ::  k  !< 
+    INTEGER(iwp) ::  l  !< 
+    INTEGER(iwp) ::  m  !< 
+    INTEGER(iwp) ::  xs !< 
+
+    REAL(wp) ::  f_in(1:nz,nys:nyn,nxl:nxr)          !< 
+    REAL(wp) ::  f_inv(nxl:nxr,1:nz,nys:nyn)         !< 
+    REAL(wp) ::  f_out(0:nx,nys_x:nyn_x,nzb_x:nzt_x) !< 
+    REAL(wp) ::  work(nnx*nny*nnz)                   !< 
 #if defined( __parallel )
 
@@ -562,12 +564,12 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Resorting data for the transposition from y to z. The transposition itself
+!> is carried out in transpose_yz
+!------------------------------------------------------------------------------!
  SUBROUTINE resort_for_yz( f_in, f_inv )
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-! Resorting data for the transposition from y to z. The transposition itself
-! is carried out in transpose_yz
-!------------------------------------------------------------------------------!
 
      USE indices,                                                              &
@@ -581,10 +583,10 @@
      IMPLICIT NONE
 
-     REAL(wp) ::  f_in(0:ny,nxl_y:nxr_y,nzb_y:nzt_y)  !: 
-     REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny) !: 
-
-     INTEGER(iwp) ::  i !: 
-     INTEGER(iwp) ::  j !: 
-     INTEGER(iwp) ::  k !: 
+     REAL(wp) ::  f_in(0:ny,nxl_y:nxr_y,nzb_y:nzt_y)  !< 
+     REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny) !< 
+
+     INTEGER(iwp) ::  i !< 
+     INTEGER(iwp) ::  j !< 
+     INTEGER(iwp) ::  k !< 
 
 !
@@ -607,13 +609,13 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Transposition of input array (f_in) from y to z. For the input array, all
+!> elements along y reside on the same PE, while after transposition, all
+!> elements along z reside on the same PE.
+!------------------------------------------------------------------------------!
  SUBROUTINE transpose_yz( f_inv, f_out )
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-! Transposition of input array (f_in) from y to z. For the input array, all
-! elements along y reside on the same PE, while after transposition, all
-! elements along z reside on the same PE.
-!------------------------------------------------------------------------------!
 
     USE cpulog,                                                                &
@@ -632,14 +634,14 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i  !: 
-    INTEGER(iwp) ::  j  !: 
-    INTEGER(iwp) ::  k  !: 
-    INTEGER(iwp) ::  l  !: 
-    INTEGER(iwp) ::  zs !: 
-
-    REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny) !: 
-    REAL(wp) ::  f_out(nxl_z:nxr_z,nys_z:nyn_z,1:nz) !: 
-
-    REAL(wp), DIMENSION(nxl_z:nxr_z,nzt_y-nzb_y+1,nys_z:nyn_z,0:pdims(1)-1) ::  work !: 
+    INTEGER(iwp) ::  i  !< 
+    INTEGER(iwp) ::  j  !< 
+    INTEGER(iwp) ::  k  !< 
+    INTEGER(iwp) ::  l  !< 
+    INTEGER(iwp) ::  zs !< 
+
+    REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny) !< 
+    REAL(wp) ::  f_out(nxl_z:nxr_z,nys_z:nyn_z,1:nz) !< 
+
+    REAL(wp), DIMENSION(nxl_z:nxr_z,nzt_y-nzb_y+1,nys_z:nyn_z,0:pdims(1)-1) ::  work !< 
 
 
@@ -701,12 +703,12 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Resorting data for the transposition from z to x. The transposition itself
+!> is carried out in transpose_zx
+!------------------------------------------------------------------------------!
  SUBROUTINE resort_for_zx( f_in, f_inv )
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-! Resorting data for the transposition from z to x. The transposition itself
-! is carried out in transpose_zx
-!------------------------------------------------------------------------------!
 
      USE indices,                                                              &
@@ -717,10 +719,10 @@
      IMPLICIT NONE
 
-     REAL(wp) ::  f_in(1:nz,nys:nyn,nxl:nxr)  !: 
-     REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz) !: 
-
-     INTEGER(iwp) ::  i !: 
-     INTEGER(iwp) ::  j !: 
-     INTEGER(iwp) ::  k !: 
+     REAL(wp) ::  f_in(1:nz,nys:nyn,nxl:nxr)  !< 
+     REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz) !< 
+
+     INTEGER(iwp) ::  i !< 
+     INTEGER(iwp) ::  j !< 
+     INTEGER(iwp) ::  k !< 
 
 !
@@ -743,13 +745,13 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Transposition of input array (f_in) from z to x. For the input array, all
+!> elements along z reside on the same PE, while after transposition, all
+!> elements along x reside on the same PE.
+!------------------------------------------------------------------------------!
  SUBROUTINE transpose_zx( f_inv, f_out )
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-! Transposition of input array (f_in) from z to x. For the input array, all
-! elements along z reside on the same PE, while after transposition, all
-! elements along x reside on the same PE.
-!------------------------------------------------------------------------------!
 
     USE cpulog,                                                                &
@@ -768,14 +770,14 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i  !: 
-    INTEGER(iwp) ::  j  !: 
-    INTEGER(iwp) ::  k  !: 
-    INTEGER(iwp) ::  l  !: 
-    INTEGER(iwp) ::  xs !: 
-
-    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz)         !: 
-    REAL(wp) ::  f_out(0:nx,nys_x:nyn_x,nzb_x:nzt_x) !: 
-
-    REAL(wp), DIMENSION(nys_x:nyn_x,nnx,nzb_x:nzt_x,0:pdims(1)-1) ::  work !: 
+    INTEGER(iwp) ::  i  !< 
+    INTEGER(iwp) ::  j  !< 
+    INTEGER(iwp) ::  k  !< 
+    INTEGER(iwp) ::  l  !< 
+    INTEGER(iwp) ::  xs !< 
+
+    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz)         !< 
+    REAL(wp) ::  f_out(0:nx,nys_x:nyn_x,nzb_x:nzt_x) !< 
+
+    REAL(wp), DIMENSION(nys_x:nyn_x,nnx,nzb_x:nzt_x,0:pdims(1)-1) ::  work !< 
 
 
@@ -837,12 +839,12 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Resorting data after the transposition from z to y. The transposition itself
+!> is carried out in transpose_zy
+!------------------------------------------------------------------------------!
  SUBROUTINE resort_for_zy( f_inv, f_out )
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-! Resorting data after the transposition from z to y. The transposition itself
-! is carried out in transpose_zy
-!------------------------------------------------------------------------------!
 
      USE indices,                                                              &
@@ -856,11 +858,11 @@
      IMPLICIT NONE
 
-     REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny) !: 
-     REAL(wp) ::  f_out(0:ny,nxl_y:nxr_y,nzb_y:nzt_y) !: 
-
-
-     INTEGER(iwp) ::  i !: 
-     INTEGER(iwp) ::  j !: 
-     INTEGER(iwp) ::  k !: 
+     REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny) !< 
+     REAL(wp) ::  f_out(0:ny,nxl_y:nxr_y,nzb_y:nzt_y) !< 
+
+
+     INTEGER(iwp) ::  i !< 
+     INTEGER(iwp) ::  j !< 
+     INTEGER(iwp) ::  k !< 
 
 !
@@ -883,13 +885,13 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Transposition of input array (f_in) from z to y. For the input array, all
+!> elements along z reside on the same PE, while after transposition, all
+!> elements along y reside on the same PE.
+!------------------------------------------------------------------------------!
  SUBROUTINE transpose_zy( f_in, f_inv )
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-! Transposition of input array (f_in) from z to y. For the input array, all
-! elements along z reside on the same PE, while after transposition, all
-! elements along y reside on the same PE.
-!------------------------------------------------------------------------------!
 
     USE cpulog,                                                                &
@@ -908,14 +910,14 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i  !: 
-    INTEGER(iwp) ::  j  !: 
-    INTEGER(iwp) ::  k  !: 
-    INTEGER(iwp) ::  l  !: 
-    INTEGER(iwp) ::  zs !: 
-
-    REAL(wp) ::  f_in(nxl_z:nxr_z,nys_z:nyn_z,1:nz)  !: 
-    REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny) !: 
-
-    REAL(wp), DIMENSION(nxl_z:nxr_z,nzt_y-nzb_y+1,nys_z:nyn_z,0:pdims(1)-1) ::  work !:
+    INTEGER(iwp) ::  i  !< 
+    INTEGER(iwp) ::  j  !< 
+    INTEGER(iwp) ::  k  !< 
+    INTEGER(iwp) ::  l  !< 
+    INTEGER(iwp) ::  zs !< 
+
+    REAL(wp) ::  f_in(nxl_z:nxr_z,nys_z:nyn_z,1:nz)  !< 
+    REAL(wp) ::  f_inv(nxl_y:nxr_y,nzb_y:nzt_y,0:ny) !< 
+
+    REAL(wp), DIMENSION(nxl_z:nxr_z,nzt_y-nzb_y+1,nys_z:nyn_z,0:pdims(1)-1) ::  work !<
 
 !
@@ -977,15 +979,15 @@
 
 
+!------------------------------------------------------------------------------!
+! Description:
+! ------------
+!> Transposition of input array (f_in) from z to y. For the input array, all
+!> elements along z reside on the same PE, while after transposition, all
+!> elements along y reside on the same PE.
+!> This is a direct transposition for arrays with indices in regular order
+!> (k,j,i) (cf. transpose_zy).
+!------------------------------------------------------------------------------!
  SUBROUTINE transpose_zyd( f_in, f_out )
 
-!------------------------------------------------------------------------------!
-! Description:
-! ------------
-! Transposition of input array (f_in) from z to y. For the input array, all
-! elements along z reside on the same PE, while after transposition, all
-! elements along y reside on the same PE.
-! This is a direct transposition for arrays with indices in regular order
-! (k,j,i) (cf. transpose_zy).
-!------------------------------------------------------------------------------!
 
     USE cpulog,                                                                &
@@ -1004,15 +1006,15 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i  !: 
-    INTEGER(iwp) ::  j  !: 
-    INTEGER(iwp) ::  k  !: 
-    INTEGER(iwp) ::  l  !: 
-    INTEGER(iwp) ::  m  !: 
-    INTEGER(iwp) ::  ys !: 
-
-    REAL(wp) ::  f_in(1:nz,nys:nyn,nxl:nxr)              !: 
-    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz)             !: 
-    REAL(wp) ::  f_out(0:ny,nxl_yd:nxr_yd,nzb_yd:nzt_yd) !: 
-    REAL(wp) ::  work(nnx*nny*nnz)                       !: 
+    INTEGER(iwp) ::  i  !< 
+    INTEGER(iwp) ::  j  !< 
+    INTEGER(iwp) ::  k  !< 
+    INTEGER(iwp) ::  l  !< 
+    INTEGER(iwp) ::  m  !< 
+    INTEGER(iwp) ::  ys !< 
+
+    REAL(wp) ::  f_in(1:nz,nys:nyn,nxl:nxr)              !< 
+    REAL(wp) ::  f_inv(nys:nyn,nxl:nxr,1:nz)             !< 
+    REAL(wp) ::  f_out(0:ny,nxl_yd:nxr_yd,nzb_yd:nzt_yd) !< 
+    REAL(wp) ::  work(nnx*nny*nnz)                       !< 
 
 #if defined( __parallel )