Index: palm/trunk/SOURCE/Makefile
===================================================================
--- palm/trunk/SOURCE/Makefile	(revision 1691)
+++ palm/trunk/SOURCE/Makefile	(revision 1692)
@@ -20,6 +20,5 @@
 # Current revisions:
 # ------------------
-# Replaced prandtl_fluxes with surface_layer_fluxes. Added radiation_model to 
-# prognostic_equations
+# 
 # 
 # Former revisions:
@@ -27,4 +26,8 @@
 # $Id$
 #
+# 1691 2015-10-26 16:17:44Z maronga
+# Replaced prandtl_fluxes with surface_layer_fluxes. Added radiation_model to 
+# prognostic_equations
+# 
 # 1585 2015-04-30 07:05:52Z maronga
 # Added user_init_radiation.f90
Index: palm/trunk/SOURCE/advec_s_bc.f90
===================================================================
--- palm/trunk/SOURCE/advec_s_bc.f90	(revision 1691)
+++ palm/trunk/SOURCE/advec_s_bc.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Formatting corrections
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Formatting corrections
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable
Index: palm/trunk/SOURCE/average_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/average_3d_data.f90	(revision 1691)
+++ palm/trunk/SOURCE/average_3d_data.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added output of Obukhov length and radiative heating rates for RRTMG. 
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added output of Obukhov length and radiative heating rates for RRTMG. 
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/check_parameters.f90
===================================================================
--- palm/trunk/SOURCE/check_parameters.f90	(revision 1691)
+++ palm/trunk/SOURCE/check_parameters.f90	(revision 1692)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added output of Obukhov length (ol) and radiative heating rates for RRTMG. 
-! Added checks for use of radiation / lsm with topography.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added output of Obukhov length (ol) and radiative heating rates for RRTMG. 
+! Added checks for use of radiation / lsm with topography.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/data_output_2d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_2d.f90	(revision 1691)
+++ palm/trunk/SOURCE/data_output_2d.f90	(revision 1692)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added output of Obukhov length (ol) and radiative heating rates  for RRTMG. 
-! Formatting corrections.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added output of Obukhov length (ol) and radiative heating rates  for RRTMG. 
+! Formatting corrections.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/data_output_3d.f90
===================================================================
--- palm/trunk/SOURCE/data_output_3d.f90	(revision 1691)
+++ palm/trunk/SOURCE/data_output_3d.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Added output of radiative heating rates for RRTMG
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added output of radiative heating rates for RRTMG
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/data_output_mask.f90
===================================================================
--- palm/trunk/SOURCE/data_output_mask.f90	(revision 1691)
+++ palm/trunk/SOURCE/data_output_mask.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added output of radiative heating rates for RRTMG
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added output of radiative heating rates for RRTMG
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/diffusion_s.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_s.f90	(revision 1691)
+++ palm/trunk/SOURCE/diffusion_s.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Formatting corrections.
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Formatting corrections.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/diffusion_u.f90
===================================================================
--- palm/trunk/SOURCE/diffusion_u.f90	(revision 1691)
+++ palm/trunk/SOURCE/diffusion_u.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Formatting corrections.
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Formatting corrections.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- palm/trunk/SOURCE/flow_statistics.f90	(revision 1691)
+++ palm/trunk/SOURCE/flow_statistics.f90	(revision 1692)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Revised calculation of Obukhov length. Added output of radiative heating >
-! rates for RRTMG.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Revised calculation of Obukhov length. Added output of radiative heating >
+! rates for RRTMG.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable
Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1691)
+++ palm/trunk/SOURCE/header.f90	(revision 1692)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Renamed prandtl_layer to constant_flux_layer, renames rif_min/rif_max to
-! zeta_min/zeta_max.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Renamed prandtl_layer to constant_flux_layer, renames rif_min/rif_max to
+! zeta_min/zeta_max.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_1d_model.f90	(revision 1691)
+++ palm/trunk/SOURCE/init_1d_model.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Renamed prandtl_layer to constant_flux_layer. rif is replaced by ol and zeta.
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Renamed prandtl_layer to constant_flux_layer. rif is replaced by ol and zeta.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/init_3d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_3d_model.f90	(revision 1691)
+++ palm/trunk/SOURCE/init_3d_model.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Call to init_surface_layer added. rif is replaced by ol and zeta.
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Call to init_surface_layer added. rif is replaced by ol and zeta.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable
Index: palm/trunk/SOURCE/init_cloud_physics.f90
===================================================================
--- palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1691)
+++ palm/trunk/SOURCE/init_cloud_physics.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Removed typo
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Removed typo
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/init_grid.f90
===================================================================
--- palm/trunk/SOURCE/init_grid.f90	(revision 1691)
+++ palm/trunk/SOURCE/init_grid.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Renamed prandtl_layer to constant_flux_layer.
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Renamed prandtl_layer to constant_flux_layer.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/land_surface_model.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model.f90	(revision 1691)
+++ palm/trunk/SOURCE/land_surface_model.f90	(revision 1692)
@@ -19,4 +19,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+! Bugfix: REAL constants provided with KIND-attribute in call of 
+! 1691 2015-10-26 16:17:44Z maronga
 ! Added skip_time_do_lsm to allow for spin-ups without LSM. Various bugfixes:
 ! Soil temperatures are now defined at the edges of the layers, calculation of
@@ -24,8 +31,4 @@
 ! fluxes are now directly transfered to atmosphere
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-! Bugfix: REAL constants provided with KIND-attribute in call of 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/lpm_advec.f90
===================================================================
--- palm/trunk/SOURCE/lpm_advec.f90	(revision 1691)
+++ palm/trunk/SOURCE/lpm_advec.f90	(revision 1692)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Renamed prandtl_layer to constant_flux_layer.
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1691 2015-10-26 16:17:44Z maronga
+! Renamed prandtl_layer to constant_flux_layer.
 !
 ! 1685 2015-10-08 07:32:13Z raasch
Index: palm/trunk/SOURCE/lpm_exchange_horiz.f90
===================================================================
--- palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1691)
+++ palm/trunk/SOURCE/lpm_exchange_horiz.f90	(revision 1692)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! ------------------
-! Formatting corrections.
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1691 2015-10-26 16:17:44Z maronga
+! Formatting corrections.
 !
 ! 1685 2015-10-08 07:32:13Z raasch
Index: palm/trunk/SOURCE/lpm_init.f90
===================================================================
--- palm/trunk/SOURCE/lpm_init.f90	(revision 1691)
+++ palm/trunk/SOURCE/lpm_init.f90	(revision 1692)
@@ -19,9 +19,12 @@
 ! Current revisions:
 ! -----------------
-! Renamed prandtl_layer to constant_flux_layer.
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1691 2015-10-26 16:17:44Z maronga
+! Renamed prandtl_layer to constant_flux_layer.
 !
 ! 1685 2015-10-08 07:32:13Z raasch
Index: palm/trunk/SOURCE/microphysics.f90
===================================================================
--- palm/trunk/SOURCE/microphysics.f90	(revision 1691)
+++ palm/trunk/SOURCE/microphysics.f90	(revision 1692)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Added new routine calc_precipitation_amount. The routine now allows to account
-! for precipitation due to sedimenation of cloud (fog) droplets
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added new routine calc_precipitation_amount. The routine now allows to account
+! for precipitation due to sedimenation of cloud (fog) droplets
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/modules.f90
===================================================================
--- palm/trunk/SOURCE/modules.f90	(revision 1691)
+++ palm/trunk/SOURCE/modules.f90	(revision 1692)
@@ -19,4 +19,11 @@
 ! Current revisions:
 ! ------------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1691 2015-10-26 16:17:44Z maronga
 ! Renamed Obukhov length. Added ol, removed rif. Increased number of profiles 
 ! (pr_palm). Changed default values for dissipation_1d to 'detering' and 
@@ -24,8 +31,4 @@
 ! renamed to zeta_min and zeta_max and new values assigned.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/netcdf.f90
===================================================================
--- palm/trunk/SOURCE/netcdf.f90	(revision 1691)
+++ palm/trunk/SOURCE/netcdf.f90	(revision 1692)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Added output of radiative heating rates for RRTMG. Corrected output of 
-! radiative fluxes
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added output of radiative heating rates for RRTMG. Corrected output of 
+! radiative fluxes
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/package_parin.f90
===================================================================
--- palm/trunk/SOURCE/package_parin.f90	(revision 1691)
+++ palm/trunk/SOURCE/package_parin.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added skip_time_do_lsm, skip_time_do_radiation, and emissivity
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added skip_time_do_lsm, skip_time_do_radiation, and emissivity
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/parin.f90
===================================================================
--- palm/trunk/SOURCE/parin.f90	(revision 1691)
+++ palm/trunk/SOURCE/parin.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added parameter most_method. Renamed prandtl_layer to constant_flux_layer.
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added parameter most_method. Renamed prandtl_layer to constant_flux_layer.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/production_e.f90
===================================================================
--- palm/trunk/SOURCE/production_e.f90	(revision 1691)
+++ palm/trunk/SOURCE/production_e.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Renamed prandtl_layer to constant_flux_layer.
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Renamed prandtl_layer to constant_flux_layer.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/prognostic_equations.f90
===================================================================
--- palm/trunk/SOURCE/prognostic_equations.f90	(revision 1691)
+++ palm/trunk/SOURCE/prognostic_equations.f90	(revision 1692)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Added optional model spin-up without radiation / land surface model calls.
-! Formatting corrections.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added optional model spin-up without radiation / land surface model calls.
+! Formatting corrections.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/radiation_model.f90
===================================================================
--- palm/trunk/SOURCE/radiation_model.f90	(revision 1691)
+++ palm/trunk/SOURCE/radiation_model.f90	(revision 1692)
@@ -19,12 +19,15 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1691 2015-10-26 16:17:44Z maronga
 ! Added option for spin-up runs without radiation (skip_time_do_radiation). Bugfix
 ! in calculation of pressure profiles. Bugfix in calculation of trace gas profiles.
 ! Added output of radiative heating rates.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/read_3d_binary.f90	(revision 1691)
+++ palm/trunk/SOURCE/read_3d_binary.f90	(revision 1692)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added output of radiative heating rates and Obukhov length. Removed output of
-! rif.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added output of radiative heating rates and Obukhov length. Removed output of
+! rif.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/read_var_list.f90
===================================================================
--- palm/trunk/SOURCE/read_var_list.f90	(revision 1691)
+++ palm/trunk/SOURCE/read_var_list.f90	(revision 1692)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Added output of most_method, constant_flux_layer, zeta_min, zeta_max. Removed 
-! output of prandtl_layer and rif_min, rif_max.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added output of most_method, constant_flux_layer, zeta_min, zeta_max. Removed 
+! output of prandtl_layer and rif_min, rif_max.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable
Index: palm/trunk/SOURCE/sum_up_3d_data.f90
===================================================================
--- palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1691)
+++ palm/trunk/SOURCE/sum_up_3d_data.f90	(revision 1692)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added output of Obukhov length and radiative heating rates for RRTMG. 
-! Corrected output of LWC.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added output of Obukhov length and radiative heating rates for RRTMG. 
+! Corrected output of LWC.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/surface_layer_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/surface_layer_fluxes.f90	(revision 1691)
+++ palm/trunk/SOURCE/surface_layer_fluxes.f90	(revision 1692)
@@ -19,11 +19,14 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 
 ! Modularized and completely re-written version of prandtl_fluxes.f90. In the
 ! course of the re-writing two additional methods have been implemented. See
 ! updated description.
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1551 2015-03-03 14:18:16Z maronga
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 1691)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 1692)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! ------------------
-! Added option for spin-ups without land surface and radiation models. Moved calls
-! for radiation and lan surface schemes.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added option for spin-ups without land surface and radiation models. Moved calls
+! for radiation and lan surface schemes.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/wall_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/wall_fluxes.f90	(revision 1691)
+++ palm/trunk/SOURCE/wall_fluxes.f90	(revision 1692)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Renamed rif_min and rif_max with zeta_min and zeta_max, respectively.
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Renamed rif_min and rif_max with zeta_min and zeta_max, respectively.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- palm/trunk/SOURCE/write_3d_binary.f90	(revision 1691)
+++ palm/trunk/SOURCE/write_3d_binary.f90	(revision 1692)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added output of radiative heating rates for RRTMG. Added output of ol. Removed
-! output of rif.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added output of radiative heating rates for RRTMG. Added output of ol. Removed
+! output of rif.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 
Index: palm/trunk/SOURCE/write_var_list.f90
===================================================================
--- palm/trunk/SOURCE/write_var_list.f90	(revision 1691)
+++ palm/trunk/SOURCE/write_var_list.f90	(revision 1692)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added output of most_method, constant_flux_layer, zeta_min, zeta_max. Removed 
-! output of prandtl_layer and rif_min, rif_max.
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1691 2015-10-26 16:17:44Z maronga
+! Added output of most_method, constant_flux_layer, zeta_min, zeta_max. Removed 
+! output of prandtl_layer and rif_min, rif_max.
+! 
 ! 1682 2015-10-07 23:56:08Z knoop
 ! Code annotations made doxygen readable 