Index: palm/trunk/SOURCE/header.f90
===================================================================
--- palm/trunk/SOURCE/header.f90	(revision 1696)
+++ palm/trunk/SOURCE/header.f90	(revision 1697)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! small E- and F-FORMAT changes to avoid informative compiler messages about
+! insufficient field width
 ! 
 ! Former revisions:
@@ -853,5 +854,5 @@
 
 !--       Building output strings, starting with surface value
-          WRITE ( leaf_area_density, '(F6.4)' )  lad_surface
+          WRITE ( leaf_area_density, '(F7.4)' )  lad_surface
           gradients = '------'
           slices = '     0'
@@ -880,5 +881,5 @@
        ELSE
        
-          WRITE ( leaf_area_density, '(F6.4)' )  lad_surface
+          WRITE ( leaf_area_density, '(F7.4)' )  lad_surface
           coordinates = '   0.0'
           
@@ -1925,5 +1926,5 @@
 111 FORMAT (' --> Solve perturbation pressure via FFT using ',A,' routines')
 112 FORMAT (' --> Solve perturbation pressure via SOR-Red/Black-Schema'/ &
-            '     Iterations (initial/other): ',I3,'/',I3,'  omega = ',F5.3)
+            '     Iterations (initial/other): ',I3,'/',I3,'  omega =',F6.3)
 113 FORMAT (' --> Momentum advection via Piascek-Williams-Scheme (Form C3)', &
                   ' or Upstream')
@@ -1938,5 +1939,5 @@
 122 FORMAT (' --> Time differencing scheme: ',A)
 123 FORMAT (' --> Rayleigh-Damping active, starts ',A,' z = ',F8.2,' m'/ &
-            '     maximum damping coefficient: ',F5.3, ' 1/s')
+            '     maximum damping coefficient:',F6.3, ' 1/s')
 129 FORMAT (' --> Additional prognostic equation for the specific humidity')
 130 FORMAT (' --> Additional prognostic equation for the total water content')
@@ -1993,5 +1994,5 @@
              ' ----------------------------------'/)
 201 FORMAT ( ' Timestep:             variable     maximum value: ',F6.3,' s', &
-             '    CFL-factor: ',F4.2)
+             '    CFL-factor:',F5.2)
 202 FORMAT ( ' Timestep:          dt = ',F6.3,' s'/)
 203 FORMAT ( ' Start time:          ',F9.3,' s'/ &
@@ -2012,5 +2013,5 @@
               ' m  z(u) = ',F10.3,' m'/)
 252 FORMAT (' dz constant up to ',F10.3,' m (k=',I4,'), then stretched by', &
-              ' factor: ',F5.3/ &
+              ' factor:',F6.3/ &
             ' maximum dz not to be exceeded is dz_max = ',F10.3,' m'/)
 254 FORMAT (' Number of gridpoints (x,y,z):  (0:',I4,', 0:',I4,', 0:',I4,')'/ &
@@ -2066,7 +2067,7 @@
 305 FORMAT (//'    Prandtl-Layer between bottom surface and first ', &
                'computational u,v-level:'// &
-             '       zp = ',F6.2,' m   z0 = ',F6.4,' m   z0h = ',F7.5,&
-             ' m   kappa = ',F4.2/ &
-             '       Rif value range:   ',F6.2,' <= rif <=',F6.2)
+             '       zp = ',F6.2,' m   z0 =',F7.4,' m   z0h =',F8.5,&
+             ' m   kappa =',F5.2/ &
+             '       Rif value range:   ',F8.2,' <= rif <=',F6.2)
 306 FORMAT ('       Predefined constant heatflux:   ',F9.6,' K m/s')
 307 FORMAT ('       Heatflux has a random normal distribution')
@@ -2087,5 +2088,5 @@
 318 FORMAT (/'       use_cmax: ',L1 / &
             '       pt damping layer width = ',F8.2,' m, pt ', &
-                    'damping factor = ',F6.4)
+                    'damping factor =',F7.4)
 319 FORMAT ('       turbulence recycling at inflow switched on'/ &
             '       width of recycling domain: ',F7.1,' m   grid index: ',I4/ &
@@ -2203,5 +2204,5 @@
               ' -------------------'/)
 410 FORMAT ('    Geograph. latitude  :   phi    = ',F4.1,' degr'/   &
-            '    Angular velocity    :   omega  = ',E9.3,' rad/s'/  &
+            '    Angular velocity    :   omega  =',E10.3,' rad/s'/  &
             '    Coriolis parameter  :   f      = ',F9.6,' 1/s'/    &
             '                            f*     = ',F9.6,' 1/s')
@@ -2214,7 +2215,7 @@
 416 FORMAT ('    Surface pressure   :   p_0   = ',F7.2,' hPa'/      &
             '    Gas constant       :   R     = ',F5.1,' J/(kg K)'/ &
-            '    Density of air     :   rho_0 = ',F5.3,' kg/m**3'/  &
+            '    Density of air     :   rho_0 =',F6.3,' kg/m**3'/  &
             '    Specific heat cap. :   c_p   = ',F6.1,' J/(kg K)'/ &
-            '    Vapourization heat :   L_v   = ',E8.2,' J/kg')
+            '    Vapourization heat :   L_v   =',E9.2,' J/kg')
 417 FORMAT ('    Geograph. longitude :   lambda = ',F4.1,' degr')
 418 FORMAT (/'    Day of the year at model start :   day_init      =     ',I3 &
@@ -2298,5 +2299,5 @@
                    ' default)')
 447 FORMAT (' --> RRTMG scheme is used')
-448 FORMAT (/'     User-specific surface albedo: albedo = ', F5.3)
+448 FORMAT (/'     User-specific surface albedo: albedo =', F6.3)
 449 FORMAT  ('     Timestep: dt_radiation = ', F5.2, '  s')
 
@@ -2305,5 +2306,5 @@
 451 FORMAT ('    Diffusion coefficients are constant:'/ &
             '    Km = ',F6.2,' m**2/s   Kh = ',F6.2,' m**2/s   Pr = ',F5.2)
-453 FORMAT ('    Mixing length is limited to ',F4.2,' * z')
+453 FORMAT ('    Mixing length is limited to',F5.2,' * z')
 454 FORMAT ('    TKE is not allowed to fall below ',E9.2,' (m/s)**2')
 455 FORMAT ('    initial TKE is prescribed as ',E9.2,' (m/s)**2')
@@ -2315,5 +2316,5 @@
               ' -----------------------------'/)
 471 FORMAT ('    Disturbance impulse (u,v) every :   ',F6.2,' s'/            &
-            '    Disturbance amplitude           :     ',F4.2, ' m/s'/       &
+            '    Disturbance amplitude           :    ',F5.2, ' m/s'/       &
             '    Lower disturbance level         : ',F8.2,' m (GP ',I4,')'/  &
             '    Upper disturbance level         : ',F8.2,' m (GP ',I4,')')
@@ -2321,5 +2322,5 @@
                  ' to i/j =',I4)
 473 FORMAT ('    Disturbances cease as soon as the disturbance energy exceeds',&
-                 1X,F5.3, ' m**2/s**2')
+                 F6.3, ' m**2/s**2')
 474 FORMAT ('    Random number generator used    : ',A/)
 475 FORMAT ('    The surface temperature is increased (or decreased, ', &
@@ -2354,5 +2355,5 @@
 487 FORMAT ('       Number of particle groups: ',I2/)
 488 FORMAT ('       SGS velocity components are used for particle advection'/ &
-            '          minimum timestep for advection: ', F7.5/)
+            '          minimum timestep for advection:', F8.5/)
 489 FORMAT ('       Number of particles simultaneously released at each ', &
                     'point: ', I5/)
@@ -2360,5 +2361,5 @@
             '          Particle radius: ',E10.3, 'm')
 491 FORMAT ('          Particle inertia is activated'/ &
-            '             density_ratio (rho_fluid/rho_particle) = ',F5.3/)
+            '             density_ratio (rho_fluid/rho_particle) =',F6.3/)
 492 FORMAT ('          Particles are advected only passively (no inertia)'/)
 493 FORMAT ('          Boundaries of particle source: x:',F8.1,' - ',F8.1,' m'/&
@@ -2389,5 +2390,5 @@
 510 FORMAT ('    Droplet density    :   N_c   = ',F6.1,' 1/cm**3')
 511 FORMAT ('    Sedimentation Courant number:                  '/&
-            '                               C_s   = ',F3.1,'        ')
+            '                               C_s   =',F4.1,'        ')
 512 FORMAT (/' Date:                 ',A8,6X,'Run:       ',A20/      &
             ' Time:                 ',A8,6X,'Run-No.:   ',I2.2/     &
Index: palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- palm/trunk/SOURCE/init_1d_model.f90	(revision 1696)
+++ palm/trunk/SOURCE/init_1d_model.f90	(revision 1697)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! small E- and F-FORMAT changes to avoid informative compiler messages about
+! insufficient field width
 ! 
 ! Former revisions:
@@ -831,5 +832,5 @@
            &'ITER.  HH:MM:SS    DT      UMAX   VMAX    U*   ALPHA   ENERG.'/ &
            &'-------------------------------------------------------------')
-101 FORMAT (I5,2X,A9,1X,F6.2,2X,F6.2,1X,F6.2,2X,F5.3,2X,F5.1,2X,F7.2)
+101 FORMAT (I5,2X,A9,1X,F6.2,2X,F6.2,1X,F6.2,1X,F6.3,2X,F5.1,2X,F7.2)
 
 
Index: palm/trunk/SOURCE/land_surface_model.f90
===================================================================
--- palm/trunk/SOURCE/land_surface_model.f90	(revision 1696)
+++ palm/trunk/SOURCE/land_surface_model.f90	(revision 1697)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! bugfix: misplaced cpp-directive
 ! 
 ! Former revisions:
@@ -1374,11 +1374,10 @@
        ENDDO
 
-#if defined( __parallel )
 !
 !--    Make a logical OR for all processes. Force radiation call if at
 !--    least one processor
-       IF ( intermediate_timestep_count == intermediate_timestep_count_max-1 )&
+       IF ( intermediate_timestep_count == intermediate_timestep_count_max-1 ) &
        THEN
-
+#if defined( __parallel )
           IF ( collective_wait )  CALL MPI_BARRIER( comm2d, ierr )
           CALL MPI_ALLREDUCE( force_radiation_call_l, force_radiation_call,    &
Index: palm/trunk/SOURCE/print_1d.f90
===================================================================
--- palm/trunk/SOURCE/print_1d.f90	(revision 1696)
+++ palm/trunk/SOURCE/print_1d.f90	(revision 1697)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! small E- and F-FORMAT changes to avoid informative compiler messages about
+! insufficient field width
 ! 
 ! Former revisions:
@@ -175,10 +176,10 @@
 112 FORMAT (/)
 120 FORMAT ('   k     zu      u     du     v     dv     pt    dpt    ', &
-            'e      Km    Kh     l      zu      k')
+            ' e      Km    Kh     l      zu      k')
 121 FORMAT (1X,I4,1X,F7.1,1X,F6.2,1X,F5.2,1X,F6.2,1X,F5.2,2X,F6.2,1X,F5.2, &
-            1X,F6.4,1X,F5.2,1X,F5.2,1X,F6.2,1X,F7.1,2X,I4)
-130 FORMAT ('   k     zw      w''pt''     wpt       w''u''      wu       ', &
-            ' w''v''      wv        zw      k')
-131 FORMAT (1X,I4,1X,F7.1,6(1X,E9.3),1X,F7.1,2X,I4)
+            1X,F7.4,1X,F5.2,1X,F5.2,1X,F6.2,1X,F7.1,2X,I4)
+130 FORMAT ('   k     zw       w''pt''      wpt        w''u''       wu       ',&
+            '  w''v''       wv        zw      k')
+131 FORMAT (1X,I4,1X,F7.1,6(1X,E10.3),1X,F7.1,2X,I4)
 
 
Index: palm/trunk/SOURCE/run_control.f90
===================================================================
--- palm/trunk/SOURCE/run_control.f90	(revision 1696)
+++ palm/trunk/SOURCE/run_control.f90	(revision 1697)
@@ -19,5 +19,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! small E- and F-FORMAT changes to avoid informative compiler messages about
+! insufficient field width
 ! 
 ! Former revisions:
@@ -119,6 +120,6 @@
        ENDIF
        WRITE ( 15, 101 )  runnr, current_timestep_number, simulated_time_chr,  &
-                          simulated_time-INT( simulated_time ), dt_3d,         &
-                          timestep_reason, u_max, disturb_chr,                 &
+                          INT( ( simulated_time-INT( simulated_time ) ) * 100),&
+                          dt_3d, timestep_reason, u_max, disturb_chr,          &
                           v_max, disturb_chr, w_max, hom(nzb,1,pr_palm,0),     &
                           hom(nzb+8,1,pr_palm,0), hom(nzb+3,1,pr_palm,0),      &
@@ -153,6 +154,6 @@
           &'----------------------------------------------------------------', &
           &'---------')
-101 FORMAT (I3,1X,I6,1X,A8,F3.2,1X,F8.4,A1,1X,F8.4,A1,F8.4,A1,F8.4,2X,F5.3,2X, &
-            F4.2, &
+101 FORMAT (I3,1X,I6,1X,A8,'.',I2.2,1X,F8.4,A1,1X,F8.4,A1,F8.4,A1,F8.4,1X,     &
+            F6.3,1X,F5.2, &
             2X,E10.3,2X,F6.0,1X,4(E10.3,1X),3(3(I4),1X),F8.3,1X,F8.3,5X,I3)
 
Index: palm/trunk/SOURCE/surface_layer_fluxes.f90
===================================================================
--- palm/trunk/SOURCE/surface_layer_fluxes.f90	(revision 1696)
+++ palm/trunk/SOURCE/surface_layer_fluxes.f90	(revision 1697)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! FORTRAN and OpenMP errors removed
 ! 
 ! Former revisions:
@@ -25,5 +25,5 @@
 ! $Id$
 !
-! 
+! 1696 2015-10-27 10:03:34Z maronga
 ! Modularized and completely re-written version of prandtl_fluxes.f90. In the
 ! course of the re-writing two additional methods have been implemented. See
@@ -90,5 +90,5 @@
 !>    that this method cannot be used in case of roughness heterogeneity
 !>
-!> @todo limiting of uv_total might be required is some cases
+!> @todo limiting of uv_total might be required in some cases
 !> @todo (re)move large_scale_forcing actions
 !> @todo check/optimize OpenMP and OpenACC directives
@@ -387,5 +387,5 @@
                        l        !< look index
 
-       REAL(wp), DIMENSION(nysg:nyng,nxlg:nxrg) :: rib                
+       REAL(wp), DIMENSION(nysg:nyng,nxlg:nxrg) :: rib !< Bulk Richardson number
                        
        REAL(wp)     :: f,      & !< Function for Newton iteration: f = Ri - [...]/[...]^2 = 0
@@ -394,6 +394,5 @@
                        ol_m,   & !< Previous value of L for Newton iteration
                        ol_old, & !< Previous time step value of L 
-                       ol_u,   & !< Upper bound of L for Newton iteration
-                       rib       !< Bulk Richardson number
+                       ol_u      !< Upper bound of L for Newton iteration
 
 !
@@ -686,4 +685,6 @@
        IMPLICIT NONE
 
+       !$OMP PARALLEL DO PRIVATE( k, z_mo )
+       !$acc kernels loop
        DO  i = nxlg, nxrg
           DO  j = nysg, nyng
@@ -694,6 +695,4 @@
 !
 !--          Compute u* at the scalars' grid points
-             !$OMP PARALLEL DO PRIVATE( a, b, k, uv_total, z_mo )
-             !$acc kernels loop
              us(j,i) = kappa * uv_total(j,i) / ( LOG( z_mo / z0(j,i) )         &
                                           - psi_m( z_mo / ol(j,i) )            &
@@ -764,5 +763,5 @@
           ENDIF
 
-          !$OMP PARALLEL DO PRIVATE( a, b, k, z_mo )
+          !$OMP PARALLEL DO PRIVATE( k, z_mo )
           !$acc kernels loop
           DO  i = nxlg, nxrg
@@ -817,5 +816,5 @@
              ENDIF
 
-             !$OMP PARALLEL DO PRIVATE( a, b, k, z_mo )
+             !$OMP PARALLEL DO PRIVATE( e_s, k, z_mo )
              !$acc kernels loop independent
              DO  i = nxlg, nxrg
@@ -859,5 +858,5 @@
        IF ( cloud_physics .AND. icloud_scheme == 0 .AND. precipitation )  THEN
 
-          !$OMP PARALLEL DO PRIVATE( a, b, k, z_mo )
+          !$OMP PARALLEL DO PRIVATE( k, z_mo )
           !$acc kernels loop independent
           DO  i = nxlg, nxrg