Index: /palm/trunk/SOURCE/flow_statistics.f90
===================================================================
--- /palm/trunk/SOURCE/flow_statistics.f90	(revision 1709)
+++ /palm/trunk/SOURCE/flow_statistics.f90	(revision 1710)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Updated output of Obukhov length
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1709 2015-11-04 14:47:01Z maronga
+! Updated output of Obukhov length
+! 
 ! 1691 2015-10-26 16:17:44Z maronga
 ! Revised calculation of Obukhov length. Added output of radiative heating >
Index: /palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_1d_model.f90	(revision 1709)
+++ /palm/trunk/SOURCE/init_1d_model.f90	(revision 1710)
@@ -19,10 +19,13 @@
 ! Current revisions:
 ! -----------------
-! Set initial time step to 10 s to avoid instability of the 1d model for small
-! grid spacings
-!
+! 
+! 
 ! Former revisions:
 ! -----------------
 ! $Id$
+!
+! 1709 2015-11-04 14:47:01Z maronga
+! Set initial time step to 10 s to avoid instability of the 1d model for small
+! grid spacings
 !
 ! 1697 2015-10-28 17:14:10Z raasch
Index: /palm/trunk/SOURCE/land_surface_model.f90
===================================================================
--- /palm/trunk/SOURCE/land_surface_model.f90	(revision 1709)
+++ /palm/trunk/SOURCE/land_surface_model.f90	(revision 1710)
@@ -19,4 +19,11 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1709 2015-11-04 14:47:01Z maronga
 ! Renamed pt_1 and qv_1 to pt1 and qv1.
 ! Bugfix: set initial values for t_surface_p in case of restart runs
@@ -24,8 +31,4 @@
 ! Bugfix: calculation of rad_net when using radiation_scheme = 'clear-sky'
 ! Added todo action
-!
-! Former revisions:
-! -----------------
-! $Id$
 !
 ! 1697 2015-10-28 17:14:10Z raasch
Index: /palm/trunk/SOURCE/radiation_model.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model.f90	(revision 1709)
+++ /palm/trunk/SOURCE/radiation_model.f90	(revision 1710)
@@ -19,6 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Bugfix: set initial value for rrtm_lwuflx_dt to zero, small formatting
-! corrections
+! 
 ! 
 ! Former revisions:
@@ -26,4 +25,8 @@
 ! $Id$
 !
+! 1709 2015-11-04 14:47:01Z maronga
+! Bugfix: set initial value for rrtm_lwuflx_dt to zero, small formatting
+! corrections
+! 
 ! 1701 2015-11-02 07:43:04Z maronga
 ! Bugfixes: wrong index for output of timeseries, setting of nz_snd_end
Index: /palm/trunk/SOURCE/read_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1709)
+++ /palm/trunk/SOURCE/read_3d_binary.f90	(revision 1710)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added rad_lw_out_change_0, increased binary_version
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1709 2015-11-04 14:47:01Z maronga
+! Added rad_lw_out_change_0, increased binary_version
+! 
 ! 1691 2015-10-26 16:17:44Z maronga
 ! Added output of radiative heating rates and Obukhov length. Removed output of
Index: /palm/trunk/SOURCE/surface_layer_fluxes.f90
===================================================================
--- /palm/trunk/SOURCE/surface_layer_fluxes.f90	(revision 1709)
+++ /palm/trunk/SOURCE/surface_layer_fluxes.f90	(revision 1710)
@@ -19,12 +19,15 @@
 ! Current revisions:
 ! -----------------
+! 
+! 
+! Former revisions:
+! -----------------
+! $Id$
+!
+! 1709 2015-11-04 14:47:01Z maronga
 ! Bugfix: division by zero could occur when calculating rib at low wind speeds
 ! Bugfix: calculation of uv_total for neutral = .T., initial value for ol for
 ! neutral = .T.
 ! 
-! Former revisions:
-! -----------------
-! $Id$
-!
 ! 1705 2015-11-02 14:28:56Z maronga
 ! Typo removed
Index: /palm/trunk/SOURCE/write_3d_binary.f90
===================================================================
--- /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1709)
+++ /palm/trunk/SOURCE/write_3d_binary.f90	(revision 1710)
@@ -19,5 +19,5 @@
 ! Current revisions:
 ! -----------------
-! Added rad_lw_out_change_0, increased binary_version
+! 
 ! 
 ! Former revisions:
@@ -25,4 +25,7 @@
 ! $Id$
 !
+! 1709 2015-11-04 14:47:01Z maronga
+! Added rad_lw_out_change_0, increased binary_version
+! 
 ! 1691 2015-10-26 16:17:44Z maronga
 ! Added output of radiative heating rates for RRTMG. Added output of ol. Removed