Index: palm/trunk/UTIL/mrungui/mainwindow.cpp
===================================================================
--- palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 1674)
+++ palm/trunk/UTIL/mrungui/mainwindow.cpp	(revision 1723)
@@ -768,4 +768,15 @@
         }
 
+        
+        
+        int status_cycfill = ui->check_cycfill->checkState();
+
+        if (status_cycfill == 2)
+        {
+            param[0]=param[0]+" cycfill";
+        }
+
+
+        
         param[0]=param[0]+"\" ";
 
Index: palm/trunk/UTIL/mrungui/mainwindow.ui
===================================================================
--- palm/trunk/UTIL/mrungui/mainwindow.ui	(revision 1674)
+++ palm/trunk/UTIL/mrungui/mainwindow.ui	(revision 1723)
@@ -821,4 +821,17 @@
      </property>
     </widget>
+    <widget class="QCheckBox" name="check_cycfill">
+     <property name="geometry">
+      <rect>
+       <x>270</x>
+       <y>197</y>
+       <width>191</width>
+       <height>21</height>
+      </rect>
+     </property>
+     <property name="text">
+      <string>Use cyclic fill method</string>
+     </property>
+    </widget>
    </widget>
    <widget class="QGroupBox" name="group_advanced">
@@ -1353,5 +1366,5 @@
      <y>0</y>
      <width>917</width>
-     <height>21</height>
+     <height>18</height>
     </rect>
    </property>
@@ -1361,5 +1374,5 @@
       <x>2175</x>
       <y>98</y>
-      <width>133</width>
+      <width>120</width>
       <height>206</height>
      </rect>
@@ -1508,5 +1521,5 @@
     <hint type="sourcelabel">
      <x>160</x>
-     <y>655</y>
+     <y>652</y>
     </hint>
     <hint type="destinationlabel">
@@ -1524,5 +1537,5 @@
     <hint type="sourcelabel">
      <x>73</x>
-     <y>655</y>
+     <y>652</y>
     </hint>
     <hint type="destinationlabel">
@@ -1716,5 +1729,5 @@
     <hint type="sourcelabel">
      <x>429</x>
-     <y>279</y>
+     <y>276</y>
     </hint>
     <hint type="destinationlabel">
@@ -1732,5 +1745,5 @@
     <hint type="sourcelabel">
      <x>431</x>
-     <y>254</y>
+     <y>251</y>
     </hint>
     <hint type="destinationlabel">
@@ -1748,5 +1761,5 @@
     <hint type="sourcelabel">
      <x>415</x>
-     <y>312</y>
+     <y>309</y>
     </hint>
     <hint type="destinationlabel">
@@ -1780,5 +1793,5 @@
     <hint type="sourcelabel">
      <x>72</x>
-     <y>539</y>
+     <y>536</y>
     </hint>
     <hint type="destinationlabel">
@@ -1796,5 +1809,5 @@
     <hint type="sourcelabel">
      <x>76</x>
-     <y>564</y>
+     <y>561</y>
     </hint>
     <hint type="destinationlabel">
@@ -1812,5 +1825,5 @@
     <hint type="sourcelabel">
      <x>53</x>
-     <y>589</y>
+     <y>586</y>
     </hint>
     <hint type="destinationlabel">
@@ -1956,5 +1969,5 @@
     <hint type="sourcelabel">
      <x>119</x>
-     <y>401</y>
+     <y>398</y>
     </hint>
     <hint type="destinationlabel">
@@ -1972,5 +1985,5 @@
     <hint type="sourcelabel">
      <x>149</x>
-     <y>426</y>
+     <y>423</y>
     </hint>
     <hint type="destinationlabel">
@@ -1988,5 +2001,5 @@
     <hint type="sourcelabel">
      <x>95</x>
-     <y>451</y>
+     <y>448</y>
     </hint>
     <hint type="destinationlabel">
@@ -2004,5 +2017,5 @@
     <hint type="sourcelabel">
      <x>179</x>
-     <y>476</y>
+     <y>473</y>
     </hint>
     <hint type="destinationlabel">
@@ -2020,5 +2033,5 @@
     <hint type="sourcelabel">
      <x>338</x>
-     <y>400</y>
+     <y>398</y>
     </hint>
     <hint type="destinationlabel">
@@ -2036,5 +2049,5 @@
     <hint type="sourcelabel">
      <x>361</x>
-     <y>426</y>
+     <y>423</y>
     </hint>
     <hint type="destinationlabel">
@@ -2052,5 +2065,5 @@
     <hint type="sourcelabel">
      <x>328</x>
-     <y>451</y>
+     <y>448</y>
     </hint>
     <hint type="destinationlabel">
@@ -2068,5 +2081,5 @@
     <hint type="sourcelabel">
      <x>262</x>
-     <y>501</y>
+     <y>498</y>
     </hint>
     <hint type="destinationlabel">
@@ -2084,5 +2097,5 @@
     <hint type="sourcelabel">
      <x>324</x>
-     <y>501</y>
+     <y>498</y>
     </hint>
     <hint type="destinationlabel">
@@ -2116,5 +2129,5 @@
     <hint type="sourcelabel">
      <x>796</x>
-     <y>386</y>
+     <y>383</y>
     </hint>
     <hint type="destinationlabel">
@@ -2148,5 +2161,5 @@
     <hint type="sourcelabel">
      <x>850</x>
-     <y>436</y>
+     <y>433</y>
     </hint>
     <hint type="destinationlabel">
@@ -2180,5 +2193,5 @@
     <hint type="sourcelabel">
      <x>885</x>
-     <y>486</y>
+     <y>483</y>
     </hint>
     <hint type="destinationlabel">
@@ -2196,5 +2209,5 @@
     <hint type="sourcelabel">
      <x>900</x>
-     <y>511</y>
+     <y>508</y>
     </hint>
     <hint type="destinationlabel">
@@ -2212,5 +2225,5 @@
     <hint type="sourcelabel">
      <x>900</x>
-     <y>536</y>
+     <y>533</y>
     </hint>
     <hint type="destinationlabel">
@@ -2228,5 +2241,5 @@
     <hint type="sourcelabel">
      <x>900</x>
-     <y>561</y>
+     <y>558</y>
     </hint>
     <hint type="destinationlabel">
@@ -2276,5 +2289,5 @@
     <hint type="sourcelabel">
      <x>307</x>
-     <y>655</y>
+     <y>652</y>
     </hint>
     <hint type="destinationlabel">
@@ -2473,4 +2486,20 @@
      <x>458</x>
      <y>344</y>
+    </hint>
+   </hints>
+  </connection>
+  <connection>
+   <sender>check_cycfill</sender>
+   <signal>stateChanged(int)</signal>
+   <receiver>MainWindow</receiver>
+   <slot>change_rc_list()</slot>
+   <hints>
+    <hint type="sourcelabel">
+     <x>336</x>
+     <y>526</y>
+    </hint>
+    <hint type="destinationlabel">
+     <x>4</x>
+     <y>510</y>
     </hint>
    </hints>